unit SystemInfo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  InoSystemInfo, StdCtrls, ComCtrls, InoDisplayInfo, InoWinInfo, ExtCtrls,
  FileCtrl, InoDiskInfo, Buttons;

type
  TfrmSystemInfo = class(TForm)
    si: TInoSystemInfo;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    lblCPU: TLabel;
    lblBIOSName: TLabel;
    lblBIOSDate: TLabel;
    lblBus: TLabel;
    lblPrinter: TLabel;
    lblHDDSize: TLabel;
    lblKeyboard: TLabel;
    lblFuncKeys: TLabel;
    lblMachine: TLabel;
    lblRAM: TLabel;
    lblModem: TLabel;
    lblMouse: TLabel;
    lblPage: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    lblModemMan: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    lblMouseType: TLabel;
    lblMouseSpeed: TLabel;
    lblNumCPU: TLabel;
    TabSheet2: TTabSheet;
    WI: TInoWinInfo;
    DI: TInoDisplayInfo;
    TabSheet3: TTabSheet;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    lblHorRes: TLabel;
    lblVertRes: TLabel;
    lblBPP: TLabel;
    lblColors: TLabel;
    lblCard: TLabel;
    lblMonitor: TLabel;
    lblMonMan: TLabel;
    lblVerSize: TLabel;
    lblHorSize: TLabel;
    PageControl2: TPageControl;
    TabSheet4: TTabSheet;
    pbGDI: TProgressBar;
    pbSystem: TProgressBar;
    pbUser: TProgressBar;
    ResTimer: TTimer;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    lblGDI: TLabel;
    lblSystem: TLabel;
    lblUser: TLabel;
    TabSheet6: TTabSheet;
    Label30: TLabel;
    Label31: TLabel;
    lblCompName: TLabel;
    lblUserName: TLabel;
    TabSheet7: TTabSheet;
    Label32: TLabel;
    Label33: TLabel;
    lblOwner: TLabel;
    lblOrganization: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label39: TLabel;
    lblPhysTot: TLabel;
    lblPhysFree: TLabel;
    lblSwapTot: TLabel;
    lblSwapFree: TLabel;
    lblVirtTot: TLabel;
    lblVirtFree: TLabel;
    Label40: TLabel;
    lblPhysUsage: TLabel;
    Label41: TLabel;
    lblSwapUsage: TLabel;
    TabSheet8: TTabSheet;
    Label43: TLabel;
    lblWinDir: TLabel;
    Label44: TLabel;
    lblSysDir: TLabel;
    Label45: TLabel;
    lblCommonDir: TLabel;
    lblProgramDir: TLabel;
    Label46: TLabel;
    Label47: TLabel;
    lblBootDir: TLabel;
    Label48: TLabel;
    lblTempDir: TLabel;
    TabSheet9: TTabSheet;
    Label49: TLabel;
    lblBoot: TLabel;
    Label50: TLabel;
    lblCodePage: TLabel;
    Label51: TLabel;
    lblTimeZone: TLabel;
    Label52: TLabel;
    lblInstallDate: TLabel;
    Label53: TLabel;
    lblDragFull: TLabel;
    Label55: TLabel;
    lblPlatform: TLabel;
    Label56: TLabel;
    lblBuildNumber: TLabel;
    Label57: TLabel;
    lblID: TLabel;
    Label58: TLabel;
    lblVersion: TLabel;
    Label54: TLabel;
    lblWallpaper: TLabel;
    Label59: TLabel;
    lblSSActive: TLabel;
    Label60: TLabel;
    lblSSTimeout: TLabel;
    TabSheet10: TTabSheet;
    DriveComboBox1: TDriveComboBox;
    Label61: TLabel;
    Label62: TLabel;
    DSI: TInoDiskInfo;
    lblDisplayName: TLabel;
    Label63: TLabel;
    lblTypeName: TLabel;
    Label64: TLabel;
    lblDriveType: TLabel;
    Label65: TLabel;
    lblFilesystem: TLabel;
    Label66: TLabel;
    lblVolumeLabel: TLabel;
    Label67: TLabel;
    lblSerialNumber: TLabel;
    Label68: TLabel;
    lblBytesPerSector: TLabel;
    Label69: TLabel;
    lblNumberOfClusters: TLabel;
    Label70: TLabel;
    lblSectorsPerCluster: TLabel;
    Label71: TLabel;
    lblDiskSpace: TLabel;
    Label72: TLabel;
    lblFreeSpace: TLabel;
    Label73: TLabel;
    lblPercentFree: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    pbDiskFree: TProgressBar;
    Label74: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure ResTimerTimer(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure ExplorerButton1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSystemInfo: TfrmSystemInfo;

implementation

{$R *.DFM}

procedure TfrmSystemInfo.FormCreate(Sender: TObject);
begin
 WI.Refresh;
 SI.Refresh;
 DI.Refresh;
 DSI.Drive := 'C:\';
 DSI.Refresh;
 lblCPU.caption        := SI.CPUName;
 lblNumCPU.caption     := IntToStr(SI.NumberOfProcessors);
 lblBIOSName.caption   := SI.BIOSName;
 lblBIOSDate.caption   := SI.BIOSDate;
 lblPrinter.caption    := SI.defaultprinter;
 lblHDDSIze.caption    := SI.HarddiskSIzeStr;
 lblRAM.caption        := SI.MemoryStr;
 lblPage.caption       := IntToStr(SI.PageSIze);
 lblKeyboard.caption   := SI.KeyboardStr;
 lblFuncKeys.caption   := IntToStr(SI.KeybFunctionKeys);
 lblBUS.caption        := SI.BUSType;
 lblMachine.caption    := SI.MachineType;
 lblModem.caption      := SI.Modem;
 lblModemMan.caption   :=SI.ModemManufacturer;
 lblMouse.caption      :=SI.MouseName;
 lblMouseType.caption  :=SI.MouseType;
 lblMouseSpeed.caption :=SI.MouseSpeed;

 //display
 lblHorRes.caption := IntToStr(DI.HorizontalResolution);
 lblVertRes.caption := IntToStr(DI.VerticalResolution);
 lblBPP.caption := IntToStr(DI.BitsPerPixel);
 lblColors.caption := IntToStr(DI.NumberOfColors);
 lblCard.caption := DI.VideoCard;
 lblMonitor.caption := DI.Monitor;
 lblMonMan.caption := DI.MonitorManufacturer;
 lblVerSize.caption := IntToStr(DI.VerticalSize);
 lblHorSize.caption := IntToStr(DI.HorizontalSize);
 //Windows
 lblCompName.caption := WI.ComputerName;
 lblUserName.caption := WI.UserName;
 lblOwner.caption := WI.RegisteredOwner;
 lblOrganization.caption := WI.RegisteredOrganization;
 lblWinDir.caption := WI.WindowsDir;
 lblSysDir.caption := WI.SystemDir;
 lblCommonDir.caption := WI.CommonFilesDir;
 lblProgramDir.caption := WI.ProgramFilesDir;
 lblBootDir.caption := WI.BootDir;
 lblTempDir.caption := WI.TempDir;
 lblPlatform.caption := WI.Platform;
 lblVersion.caption := WI.Version;
 lblBuildNumber.caption := WI.BuildNumber;
 lblID.caption :=  WI.ProductID;
 lblInstallDate.caption  := WI.InstallDate;
 lblBoot.caption := WI.BootType;
 lblCodepage.caption := WI.CodePage;
 lblTimeZone.caption := WI.TimeZone;
 if WI.DragFullWindows then
 lblDragFull.caption := 'True' else
 lblDragFull.caption := 'False' ;
 lblWallpaper.caption :=  WI.Wallpaper;
 if WI.ScreenSaverActive then lblSSActive.caption :='True' else
 lblSSActive.caption :='False';
 if WI.ScreenSaverActive then lblSSTimeout.caption :=IntToStr(WI.ScreenSaverTimeout div 60)+' min' else
 lblSSTimeout.caption :='N/A';

end;

procedure TfrmSystemInfo.ResTimerTimer(Sender: TObject);
begin
 WI.Refresh;
 pbGDI.Position := WI.FreeGDIResources;
 pbSystem.Position := WI.FreeSystemResources;
 pbUSer.Position := WI.FreeUserResources;
 lblGDI.caption := WI.FreeGDIResourcesStr;
 lblSystem.Caption := WI.FreeSystemResourcesStr;
 lblUser.caption := WI.FreeUserResourcesStr;
 lblPhysTot.caption := WI.PhysicalTotalStr;
 lblPhysFree.caption := WI.PhysicalFreeStr;
 lblSwapTot.caption := WI.SwapFileTotalStr;
 lblSwapFree.caption := WI.SwapFileFreeStr;
 lblVirtTot.caption := WI.VirtualTotalStr;
 lblVirtFree.caption := WI.VirtualFreeStr;
 lblPhysUsage.caption := WI.PhysicalUsage;
 lblSwapUsage.caption := WI.SwapFileUsage;
end;

procedure TfrmSystemInfo.DriveComboBox1Change(Sender: TObject);
begin
 DsI.Drive := DriveComboBox1.Drive;
 lblDisplayName.caption := DsI.DisplayName;
 lblTypeName.caption := DsI.TypeName;
 lblVolumeLabel.caption := DsI.VolumeName;
 lblSerialNumber.caption := DsI.VolumeSerialNumber;
 case DsI.DriveType of
  dtFixed      : lblDriveType.caption := 'Fixed';
  dtCDROM      : lblDriveType.caption := 'CD-ROM';
  dtFloppy144  : lblDriveType.caption := 'Floppy 3,5" 1,44 MB';
  dtFloppy12   : lblDriveType.caption := 'Floppy 5,25" 1,2 MB';
  dtNetwork    : lblDriveType.caption := 'Network';
  dtRAM        : lblDriveType.caption := 'RAM';
  dtRemovable  : lblDriveType.caption := 'Removable';
  dtUnknown    : lblDriveType.caption := 'Unknown';
 end;
 lblFileSystem.caption := DsI.FileSystemName;
 if DsI.FlagCaseIsPreserved then CheckBox1.checked := True;
 if DsI.FlagCaseSensitive then CheckBox2.checked := True;
 if DsI.FlagFileCOmpression then CheckBox3.checked := True;
 if DsI.FlagPersistentACLS then CheckBox4.checked := True;
 if DsI.FlagUnicode then CheckBox5.checked := True;
 if DsI.FlagVolCompressed then CheckBox6.checked := True;
 lblBytesPerSector.caption := IntToStr(DsI.BytesPerSector);
 lblNumberOfClusters.caption := IntToStr(DsI.TotalNumberOfClusters);
 lblSectorsPerCluster.caption := IntToStr(DsI.SectorsPerCluster);
 lblDiskSpace.caption := DsI.TotalDiskSpaceStr;
 lblFreeSpace.caption := DsI.FreeDiskSpaceStr;
 lblPercentFree.caption := DsI.PercentFree;
 pbDiskFree.Position:=Trunc(DsI.FreeDiskSpace/ DsI.TotalDiskSpace * 100);
end;

procedure TfrmSystemInfo.ExplorerButton1Click(Sender: TObject);
begin
 CLose;
end;

procedure TfrmSystemInfo.BitBtn1Click(Sender: TObject);
begin
 Close;
end;

procedure TfrmSystemInfo.BitBtn2Click(Sender: TObject);
begin
 WI.Refresh;
 SI.Refresh;
 DI.Refresh;
 lblCPU.caption        := SI.CPUName;
 lblNumCPU.caption     := IntToStr(SI.NumberOfProcessors);
 lblBIOSName.caption   := SI.BIOSName;
 lblBIOSDate.caption   := SI.BIOSDate;
 lblPrinter.caption    := SI.defaultprinter;
 lblHDDSIze.caption    := SI.HarddiskSIzeStr;
 lblRAM.caption        := SI.MemoryStr;
 lblPage.caption       := IntToStr(SI.PageSIze);
 lblKeyboard.caption   := SI.KeyboardStr;
 lblFuncKeys.caption   := IntToStr(SI.KeybFunctionKeys);
 lblBUS.caption        := SI.BUSType;
 lblMachine.caption    := SI.MachineType;
 lblModem.caption      := SI.Modem;
 lblModemMan.caption   :=SI.ModemManufacturer;
 lblMouse.caption      :=SI.MouseName;
 lblMouseType.caption  :=SI.MouseType;
 lblMouseSpeed.caption :=SI.MouseSpeed;

 //display
 lblHorRes.caption := IntToStr(DI.HorizontalResolution);
 lblVertRes.caption := IntToStr(DI.VerticalResolution);
 lblBPP.caption := IntToStr(DI.BitsPerPixel);
 lblColors.caption := IntToStr(DI.NumberOfColors);
 lblCard.caption := DI.VideoCard;
 lblMonitor.caption := DI.Monitor;
 lblMonMan.caption := DI.MonitorManufacturer;
 lblVerSize.caption := IntToStr(DI.VerticalSize);
 lblHorSize.caption := IntToStr(DI.HorizontalSize);
 //Windows
 lblCompName.caption := WI.ComputerName;
 lblUserName.caption := WI.UserName;
 lblOwner.caption := WI.RegisteredOwner;
 lblOrganization.caption := WI.RegisteredOrganization;
 lblWinDir.caption := WI.WindowsDir;
 lblSysDir.caption := WI.SystemDir;
 lblCommonDir.caption := WI.CommonFilesDir;
 lblProgramDir.caption := WI.ProgramFilesDir;
 lblBootDir.caption := WI.BootDir;
 lblTempDir.caption := WI.TempDir;
 lblPlatform.caption := WI.Platform;
 lblVersion.caption := WI.Version;
 lblBuildNumber.caption := WI.BuildNumber;
 lblID.caption :=  WI.ProductID;
 lblInstallDate.caption  := WI.InstallDate;
 lblBoot.caption := WI.BootType;
 lblCodepage.caption := WI.CodePage;
 lblTimeZone.caption := WI.TimeZone;
 if WI.DragFullWindows then
 lblDragFull.caption := 'True' else
 lblDragFull.caption := 'False' ;
 lblWallpaper.caption :=  WI.Wallpaper;
 if WI.ScreenSaverActive then lblSSActive.caption :='True' else
 lblSSActive.caption :='False';
 if WI.ScreenSaverActive then lblSSTimeout.caption :=IntToStr(WI.ScreenSaverTimeout div 60)+' min' else
 lblSSTimeout.caption :='N/A';



end;

end.
